List the organization's integration connections (staff)
GET /api/integrations. List the organization's integration connections (staff). Headless LMS Integrations API reference.
Staff only (owner, admin, instructor). Secrets are never returned.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/integrations"[ { "orgId": "string", "id": "string", "integrationId": "string", "config": { "property1": null, "property2": null }, "active": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}List the integrations this deployment supports (staff) GET
GET /api/integrations/available. List the integrations this deployment supports (staff). Headless LMS Integrations API reference.
Connect an integration (staff) POST
POST /api/integrations. Connect an integration (staff). Headless LMS Integrations API reference.